SuperBlockEnc Struct Reference

Superblock level encoder info. More...

`#include <block.h>`

## Data Fields

BLOCK_SIZE | min_partition_size
| Maximum partition size for the sb.
BLOCK_SIZE | max_partition_size
| Minimum partition size for the sb.
TPL Info
Information gathered from tpl_model at tpl block precision for the superblock to speed up the encoding process..
int | tpl_data_count
| Number of TPL blocks in this superblock.
int64_t | tpl_inter_cost [(MAX_SB_SIZE/16) *(MAX_SB_SIZE/16)]
| TPL's estimate of inter cost for each tpl block.
int64_t | tpl_intra_cost [(MAX_SB_SIZE/16) *(MAX_SB_SIZE/16)]
| TPL's estimate of tpl cost for each tpl block.
int_mv | tpl_mv [(MAX_SB_SIZE/16) *(MAX_SB_SIZE/16)][INTER_REFS_PER_FRAME]
| Motion vectors found by TPL model for each tpl block.
int | tpl_stride
| TPL's stride for the arrays in this struct.

## Detailed Description

Superblock level encoder info.

SuperblockEnc stores superblock level information used by the encoder for more efficient encoding. Currently this is mostly used to store TPL data for the current superblock.

The documentation for this struct was generated from the following file:

- av1/encoder/block.h